Last Comment Bug 215055 - (big-long-large-32767) (PLEASE READ COMMENT #133) Content of tall pages is clipped and can't be displayed if overflow!=visible [16 bit widget coordinates]
(big-long-large-32767)
: (PLEASE READ COMMENT #133) Content of tall pages is clipped and can't be disp...
Status: RESOLVED FIXED
PLEASE READ COMMENT #133 BEFORE
: testcase
Product: Core
Classification: Components
Component: Layout: View Rendering (show other bugs)
: Trunk
: x86 All
: -- critical with 41 votes (vote)
: ---
Assigned To: Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
: Hixie (not reading bugmail)
Mentors:
: 193209 215108 221614 228560 235911 242582 255706 268959 269002 274738 278442 291359 296368 307405 313670 332756 343000 353314 360724 361815 366162 366290 368249 383876 390454 390952 396382 410871 415411 418066 424194 425394 427971 428256 429134 431913 434024 434546 434686 435139 440300 441251 441539 443743 447802 448333 448511 449020 451033 452946 455297 459555 459584 459602 460565 464473 466437 466651 467604 469312 471826 474126 474342 480336 482000 482668 486557 487798 488532 489105 490693 498605 503337 511913 513626 516463 517868 518093 524377 531271 531410 532051 538045 631753 (view as bug list)
Depends on: compositor 126592 widget-removal 384681
Blocks: 333994 470358
  Show dependency treegraph
 
Reported: 2003-08-04 12:17 PDT by Isaac Hwak Han
Modified: 2015-04-07 23:41 PDT (History)
137 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Testcase (8.82 KB, text/html)
2003-08-04 12:19 PDT, Isaac Hwak Han
no flags Details
Testcase #2 (22.12 KB, text/html)
2003-08-05 03:56 PDT, Mats Palmgren (:mats)
no flags Details
Testcase #3 (9.14 KB, text/html)
2003-08-05 10:24 PDT, Isaac Hwak Han
no flags Details
a testcase from a bug dupped to this one (21.90 KB, text/html)
2006-12-24 01:27 PST, James Napolitano
no flags Details
problem on jump, but not scroll (2.12 KB, text/html)
2007-10-12 13:21 PDT, James Justin Harrell
no flags Details
Rows of the table gets hidden within the div (overflow!=visible) (1005.23 KB, text/html)
2009-02-04 04:05 PST, Faisal Abdul Moid
no flags Details
A test case of my problem (222.70 KB, application/zip)
2009-06-16 06:42 PDT, cyril.masset
no flags Details

Description Isaac Hwak Han 2003-08-04 12:17:59 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5a) Gecko/20030718
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5a) Gecko/20030718

A block-element with overflow: scroll or overflow:auto is rendered incorrectly,
if its (rendered) height exceeds a certain threshold value.

Reproducible: Always

Steps to Reproduce:
1. Open the testcase in Browser.
2. Scroll toward the end of the page by dragging mouse on the (browser's
default) vertical scroll bar.
3. and/or jump to the end of the page by pressing END key.
Actual Results:  
If scrolled by mouse, at some point around number 1000 (dependent of Browser UI
setting), the screen shows many garbled text which resembles the last correctly
rendered line.
If jumped by END key, the viewport remains the same.

Expected Results:  
Because the PRE element in the testcase has no parent element with constrained
height, Browser should render the same result rendered with overflow: visible
style applied.

Alt-tabbing or task switching to other window and getting back to the testcase
window, also causes the similar problem.
Comment 1 Isaac Hwak Han 2003-08-04 12:19:19 PDT
Created attachment 129170 [details]
Testcase
Comment 2 Mats Palmgren (:mats) 2003-08-04 13:26:32 PDT
WFM, 2003-08-01-05 trunk Linux
Comment 3 Christian 'CeeJay' Jensen 2003-08-04 14:02:58 PDT
I can reproduce this bug in :
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5b) Gecko/20030803 Mozilla
Firebird/0.6.1
Comment 4 Mats Palmgren (:mats) 2003-08-05 03:54:35 PDT
*** Bug 215108 has been marked as a duplicate of this bug. ***
Comment 5 Mats Palmgren (:mats) 2003-08-05 03:56:55 PDT
Created attachment 129217 [details]
Testcase #2
Comment 6 Mats Palmgren (:mats) 2003-08-05 04:02:27 PDT
Confirming bug, 2003-08-04-05 trunk Linux using Testcase #2.
The first testcase seems to work on Linux.
Comment 7 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2003-08-05 08:09:38 PDT
This is a duplicate of one of my existing bugs. I think. I know what the problem
is, anyway ... native widgets that only support 16-bit coordinates.
Comment 8 Isaac Hwak Han 2003-08-05 10:24:59 PDT
Created attachment 129238 [details]
Testcase #3

Mr. O'Callahan possibly mean Bug 126592. I doubt this bug is a dup of it,
because all testcases of Bug 126592 work fine for me (on Windows XP).

However, after some more experiments, the accurate starting point of damaged
viewport is 16384 pixel height, which is absolutely related with 16-bit
coordinates.

Here's a revised testcase modified from attachment 129170 [details] (testcase #1) , to
hopefully make it platform-independent.
Comment 9 Isaac Hwak Han 2003-08-05 23:36:37 PDT
Sorry for spamming but here are two real-world testcases. Both pages have BODY
element with overflow:auto. (They are Korean pages and you may need Korean font
for proper viewing.) 

http://www.baldursgate2.co.kr/zero/zboard.php?id=forum&page=1&sn1=&divpage=1&sn=off&ss=on&sc=on&select_arrange=headnum&desc=asc&no=395
http://dnd3.nalove.org/cgi-bin/technote/read.cgi?board=dnd3&y_number=2&nnew=2
Comment 10 Mats Palmgren (:mats) 2003-12-31 22:36:15 PST
*** Bug 228560 has been marked as a duplicate of this bug. ***
Comment 11 Greg Childers 2004-02-28 13:24:59 PST
Here is what I believe is another real world test case: 
http://chroma.mine.nu/zooi/impstats.php?id=35 
Comment 12 Isaac Hwak Han 2004-02-28 17:47:02 PST
*** Bug 235911 has been marked as a duplicate of this bug. ***
Comment 13 James Napolitano 2004-03-03 17:02:49 PST
(In reply to comment #8)
> However, after some more experiments, the accurate starting point of damaged
> viewport is 16384 pixel height, which is absolutely related with 16-bit
> coordinates.

I have been working on bug 193209 (which should be marked as a dup of this bug),
and found the exact same thing, problems after 16,384 = 2^14 pixels.  You might
want to take a look at that bug for some alternate discussion, screenshots, and
my testcase.

> Mr. O'Callahan possibly mean Bug 126592. I doubt this bug is a dup of it,
> because all testcases of Bug 126592 work fine for me (on Windows XP).

There were two related bugs Mr. Callahan worked on.  Bug 164625 was for windows
which are less than 30000 pixels high and was supposed to have been fixed on all
platforms; bug 126592 only happens with windows that are at least 30000 pixels
high and is supposed to only remain for Win 9.x systems.

Neither of those bugs seems to fit what we are seeing, as they don't involve
overflow:scroll.  Also, our bug affects Windows XP and Linux, not just Win 9.x
systems.  Just as with you, the testcases in bug 126592 WFM but the ones here do
not, and there are no testcases for bug 164625.

BTW, my user agent string is 
Mozilla/5.0 (Windows; U; Win98; en-US; rv:) Gecko/20040302
Comment 14 James Napolitano 2004-03-09 12:41:24 PST
*** Bug 193209 has been marked as a duplicate of this bug. ***
Comment 15 gavin long 2004-11-13 15:35:58 PST
*** Bug 268959 has been marked as a duplicate of this bug. ***
Comment 16 Uri Bernstein (Google) 2004-12-17 02:37:15 PST
*** Bug 274738 has been marked as a duplicate of this bug. ***
Comment 17 Uri Bernstein (Google) 2004-12-17 02:44:09 PST
On Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8a6)
Gecko/20041216 Firefox/1.0+, This has the additional effect that after scrolling
down and up a bit (e.g. on testcase #2), the scrollbar "freezes" (can't be moved
anymore), and the main viewing area does not update when switching tabs, going
back/forward, etc. (only the window title does).
This makes this a potential dataloss bug.
Comment 18 Felix Miata 2005-06-13 10:56:02 PDT
Testcase 3 corrupts at line 1638 on XP 1.7.8 at 1600x1200, and at line 950 on
OS/2 trunk at 1280x960.

http://www.ubuntuguide.org/ seems likely to be another in the wild testcase,
with 4 classes using overflow: auto in http://www.ubuntuguide.org/style.css, and
a HTML filesize of ~180K. To see the problem may require zooming or a minimum
font size set.

But, it seems if it sniffs a M$ US string that your IP gets redirected to an
unrelated site at http://67.15.97.2. I loaded it in OS/2 and Linux successfully
before trying XP, but XP couldn't locate http://www.ubuntuguide.org/, and now
neither can OS/2 or Linux.

I saved to disk before being blocked. OS/2 displays gray like in the #3 testcase
in inappropriate places, while XP displays various white backgrounds with no
visible content in those areas. Commenting overflow: auto out of the local css
eliminates the corruption.
Comment 19 Brian Polidoro 2006-08-08 15:15:00 PDT
*** Bug 313670 has been marked as a duplicate of this bug. ***
Comment 20 James Napolitano 2006-12-24 01:08:26 PST
*** Bug 269002 has been marked as a duplicate of this bug. ***
Comment 21 James Napolitano 2006-12-24 01:27:14 PST
Created attachment 249560 [details]
a testcase from a bug dupped to this one

This testcase is essentially the same as the last, but uses multiple <br> tags instead of one huge <pre> so it is easier to measure positions with the Dom Inspector.
Comment 22 James Napolitano 2006-12-24 01:48:24 PST
(In reply to comment #18)
> Testcase 3 corrupts at line 1638 on XP 1.7.8 at 1600x1200, and at line 950 on
> OS/2 trunk at 1280x960.
> 

On Gecko 1.9alpha1 with WinXP at 1280x1024, this bug still occurs, and I also get corruption just after line 1638.  Using the DOM Inspector, line 1638 lies almost at a position of 32768, or 32K pixels.  Note that testcase 3, from 3 years ago, says corruption occurs at line 819, which is half of 1638.  Apparently before the problem occurred at 16K pixels, but now it is occurring at 32K.

I'm modifying bug summary slightly to make finding this bug easier.
Comment 23 Adam Guthrie 2007-05-17 16:20:48 PDT
*** Bug 333994 has been marked as a duplicate of this bug. ***
Comment 24 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2007-05-21 19:55:38 PDT
Changing summary and making this the dup target of all 16-bit widget coordinate bugs...
Comment 25 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2007-05-21 19:56:35 PDT
The compositor will fix this by removing child widgets...
Comment 26 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2007-05-21 19:58:00 PDT
*** Bug 368249 has been marked as a duplicate of this bug. ***
Comment 27 Brian Polidoro 2007-05-21 20:39:58 PDT
*** Bug 343000 has been marked as a duplicate of this bug. ***
Comment 28 Mats Palmgren (:mats) 2007-06-09 15:57:12 PDT
*** Bug 383876 has been marked as a duplicate of this bug. ***
Comment 29 Adam Guthrie 2007-06-15 13:55:48 PDT
*** Bug 384614 has been marked as a duplicate of this bug. ***
Comment 30 Aaron Rister 2007-09-15 09:45:18 PDT
Another example in the wild: http://forums.sinsofasolarempire.com/?forumid=440&aid=155859&p=1

div.Main_Body_Region2 stops drawing content after 32768px.

Any progress with a fix for this issue?
Comment 31 Jo Hermans 2007-09-25 03:22:26 PDT
*** Bug 397462 has been marked as a duplicate of this bug. ***
Comment 32 James Justin Harrell 2007-10-12 13:21:33 PDT
Created attachment 284669 [details]
problem on jump, but not scroll

This testcase shows a bug that only occurs when jumping around the page, like when clicking an anchor that links to an #id. Just scrolling doesn't show any problems.

Also, on Firefox 2.0 and a recent trunk build of Firefox 3.0 (both on Ubuntu 7.04), Testcase #3 immediately crashes the browser. Due to that, shouldn't this be marked as critical, or at least major? A bug that causes a crash is more severe than just "normal".
Comment 33 James Justin Harrell 2008-01-18 20:40:22 PST
A lot of blog archive pages suffer from this problem. Example:
http://sciencetrack.blogspot.com/2007_07_01_archive.html

While scrolling with the scrollbar, the problem flashes on and off. When I stop scrolling, the page sometimes looks fine, and sometimes is badly corrupted. When I use the scroll wheel, it's always badly corrupted.
Comment 34 Baldvin Kovács 2008-01-21 13:05:46 PST
I am working on an extension where I need very tall <browser/> xul elements.
I had some freezing problems on MacOS X Leopard, then I assembled a 
trivial test
page: <a href="http://thiblo.com/~baldvin/prg/mozilla/iframe32768/">http://thiblo.com/~baldvin/prg/mozilla/iframe32768/</a>.

Could somebody please check it out, and tell me if that is this bug, or that is
and other one?
Comment 35 Thomas Zumbrunn 2008-01-21 14:07:29 PST
just tested under windows vista ultimate Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11 and had no issues seems to work ok from here I've ended up to activate the scrolling when the size goes over 32768 to be sure that I've no issues.
Comment 36 Baldvin Kovács 2008-02-05 12:47:57 PST
Anybody who could test it on MacOS X, please? On vista, the situation is much 
better. The extension I am working on is not freezing at least (though displays
just black after 32768 pixels). But on MacOS X I am experiencing freezes, which
I thing might be related to the test case I have linked in.

Thanks, Baldvin
Comment 37 Baldvin Kovács 2008-02-05 15:36:53 PST
Update: I have tested it with Firefox 3 beta 2 for MacOS X, and the bug did
not appear. Also, the freezes with the extension I am implementing have
disappeared. So I guess I will just make my extension windows-only for firefox 2,
and roll it out for macintosh just from firefox version 3.
Comment 38 Mats Palmgren (:mats) 2008-02-17 05:45:42 PST
*** Bug 418066 has been marked as a duplicate of this bug. ***
Comment 39 Alexis Wilke 2008-02-17 13:06:12 PST
Quick note:

I updated my SeaMonkey to 1.1.8 not too long ago and its date could suggest that it would have included this bug fix. But no, it is still bogus. The bottom of the table still breaks in this version.

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080201 SeaMonkey/1.1.8
Comment 40 Daniel.S 2008-03-24 05:06:08 PDT
*** Bug 390454 has been marked as a duplicate of this bug. ***
Comment 41 Daniel.S 2008-03-24 05:11:26 PDT
*** Bug 332756 has been marked as a duplicate of this bug. ***
Comment 42 Daniel.S 2008-03-24 05:16:47 PDT
*** Bug 360724 has been marked as a duplicate of this bug. ***
Comment 43 Daniel.S 2008-03-24 05:24:01 PDT
*** Bug 255706 has been marked as a duplicate of this bug. ***
Comment 44 Daniel.S 2008-03-24 05:27:13 PDT
*** Bug 307405 has been marked as a duplicate of this bug. ***
Comment 45 Daniel.S 2008-03-24 05:32:46 PDT
*** Bug 296368 has been marked as a duplicate of this bug. ***
Comment 46 Daniel.S 2008-03-24 08:40:09 PDT
*** Bug 366162 has been marked as a duplicate of this bug. ***
Comment 47 Daniel.S 2008-03-24 08:52:54 PDT
*** Bug 415411 has been marked as a duplicate of this bug. ***
Comment 48 Thomas K. (:tom) 2008-03-27 23:44:44 PDT
(In reply to comment #37)
> Update: I have tested it with Firefox 3 beta 2 for MacOS X, and the bug did
> not appear. Also, the freezes with the extension I am implementing have
> disappeared. So I guess I will just make my extension windows-only for firefox
> 2,
> and roll it out for macintosh just from firefox version 3.
> 

Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9b5pre) Gecko/2008032604 Minefield/3.0b5pre

I just tested all the valid testcases and they all work just fine, so yeah.
Comment 49 Sylvain Pasche 2008-03-28 12:26:36 PDT
*** Bug 425394 has been marked as a duplicate of this bug. ***
Comment 50 Brian Polidoro 2008-04-09 10:48:42 PDT
*** Bug 427971 has been marked as a duplicate of this bug. ***
Comment 51 Brian Polidoro 2008-04-10 06:59:11 PDT
*** Bug 428256 has been marked as a duplicate of this bug. ***
Comment 52 Brian Polidoro 2008-05-02 14:52:53 PDT
*** Bug 431913 has been marked as a duplicate of this bug. ***
Comment 53 Mike Beltzner [:beltzner, not reading bugmail] 2008-05-03 11:51:34 PDT
There have been a bunch of recent dupes on this: any reason for that? Should it be picking up wanted?
Comment 54 Andrew Schultz 2008-05-03 12:11:35 PDT
the dupe I filed (bug 415411) did not manifest itself until we switched to cairo
Comment 55 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2008-05-03 19:15:54 PDT
I don't know why there would be new dups. We really can't do anything for 1.9.
Comment 56 David Greenspan 2008-05-13 20:08:17 PDT
This is really a huge and inexcusable bug.

Is there no way it can be fixed on its own, now?  The fact that it will be resolved when the brand-new "Compositor" reaches production is not the comfort I was looking for.

I would be more comfortable if someone could explain what the timeline is for the Compositor, and why this bug is too difficult to fix independently of that large rewrite.
Comment 57 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2008-05-19 10:17:47 PDT
*** Bug 434546 has been marked as a duplicate of this bug. ***
Comment 58 Brian Polidoro 2008-05-20 07:48:13 PDT
*** Bug 434686 has been marked as a duplicate of this bug. ***
Comment 59 Deven Phillips 2008-05-20 14:28:59 PDT
Honestly, this should be a show-stopper for 3.0. I cannot use Firefox in this state. We have a large number of Wiki pages which cannot be modified to account for this bug. There are a number of pre-build applications which will not work with Firefox unless this is fixed. The primary example I would give is XWiki, but I have also seen this in OpenNMS. A great number of people are not going to have the expertise required to modify the appropriate style-sheets to make their applications work. Also, we should not expect application developers to work around the bugs in Firefox on a major release.
Comment 60 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2008-05-20 14:42:35 PDT
What specific page and platform are you seeing this on?
Comment 61 Brian Polidoro 2008-05-20 15:08:52 PDT
See the last duped bug (bug 434686). 
Comment 62 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2008-05-20 15:12:46 PDT
That's a zipped testcase, platform "All".

Bug 434546 looks better.
Comment 63 Deven Phillips 2008-05-21 13:16:23 PDT
I am seeing this on Windows and Linux. This happens on any page with "overflow: auto" where the length is over 120KB. I am seeing this happen in canned applications like OpenNMS, XWiki, MediaWiki, etc.... If this gets released, we're going to have a lot of end users (like me!) very annoyed.
Comment 64 Deven Phillips 2008-05-21 13:20:42 PDT
I suppose that technically, I could go in and modify the CSS for XWiki (etc...) to not use "overflow: auto", but what about other users who are not as technically adept or do not have access to modify the sites that they are viewing?!?!
Comment 65 David Greenspan 2008-05-21 13:29:48 PDT
To be clear, the behavior I observed is that drawing goes haywire when a scrolling view becomes more than 32767 pixels tall or wide (in my case it's in design mode).  I've observed this on Mac and Windows, and I'm not aware of a workaround.
Comment 66 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2008-05-21 14:36:06 PDT
I don't see this problem on Mac, but I do see it on Windows.
Comment 67 Deven Phillips 2008-05-21 14:38:30 PDT
The people tracking the compositor bug have made it clear that it will not be
possible for 1.9, so, it seems to me that it would be advisable to find a fix
that does not rely on the compositor for 1.9. This works in FF2.x, so there
must be a method to work around this.
Comment 68 Wladimir Palant 2008-05-21 15:08:28 PDT
(In reply to comment #67)
> This works in FF2.x, so there must be a method to work around this.

This bug is much older than FF2. The testcase you attached to bug 434686 doesn't work properly in FF2 either (on Windows), so it isn't a regression. If you don't have lots of angry end users yet, you won't get them once FF3 is released either. And by that I don't mean that this bug shouldn't be fixed, but pushing it for 1.9 is unrealistic.

Strange enough, bug 307405 that was duped against this one is fixed in the current nightly (both example page and minimized testcase work fine).
Comment 69 Deven Phillips 2008-05-21 15:29:38 PDT
It does work in FF2 on the test case I submitted. I have no problems viewing that page on FF2.
Comment 70 Deven Phillips 2008-05-21 15:30:03 PDT
That is on Windows and Linux where I have tested.
Comment 71 Radek 'sysKin' Czyz 2008-05-21 21:59:19 PDT
If you have something that regressed between 2.0 and 3.0, it's a new bug. This bug was filed against firefox 1.5 alpha.
Comment 72 Radek 'sysKin' Czyz 2008-05-21 22:01:01 PDT
Oops, apologies for bugspam, not FF 1.5alpha but Mozilla 1.5 alpha, which means firebird ~0.6
Comment 73 Daniel.S 2008-05-22 09:03:07 PDT
(In reply to comment #53)
> There have been a bunch of recent dupes on this: any reason for that? Should it
> be picking up wanted?

Ah, no. It was mostly me trying to do some Bugzilla cleanup. But yeah, this bug gets a dupe every once in a while. Too bad it won't make 1.9.1.

(In reply to comment #68)
> Strange enough, bug 307405 that was duped against this one is fixed in the
> current nightly (both example page and minimized testcase work fine).

Is that the bug you meant? The second attachment doesn't work (or to be exact only works in certain cases) in Fx3RC1 which should be identical to the latest nightly.
Comment 74 Mike Beltzner [:beltzner, not reading bugmail] 2008-05-22 15:02:46 PDT
Minusing based on roc's repeated comments about how nothing can be done here in the 1.9.0.x codebase, adding wanted-next to indicate that we'll look at this for a future platform release.
Comment 75 Brian Polidoro 2008-05-22 16:01:37 PDT
*** Bug 435139 has been marked as a duplicate of this bug. ***
Comment 76 Lucas Malor (mail: c6kfnkn2uc AT snkmail DOT c0m) 2008-06-10 02:16:07 PDT
Currently I can reproduce the bug with the testcase #3 - https://bugzilla.mozilla.org/attachment.cgi?id=129238 - at line 1638. 

I can reproduce it also with jump testcase - https://bugzilla.mozilla.org/attachment.cgi?id=284669 - setting the height equal to 17,895,463 pixels. Notice than max height of a div is 17,895,697 (hex 1111111), so it's not a great problem...

Testcase #2 is now obsolete, since it's not high enough.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9pre) Gecko/2008060906 Minefield/3.0pre
Comment 77 RNicoletto 2008-06-18 06:21:55 PDT
(In reply to comment #76)
> Currently I can reproduce the bug with the testcase #3 -
> https://bugzilla.mozilla.org/attachment.cgi?id=129238 - at line 1638. 
> 
> I can reproduce it also with jump testcase -
> https://bugzilla.mozilla.org/attachment.cgi?id=284669 - setting the height
> equal to 17,895,463 pixels. Notice than max height of a div is 17,895,697 (hex
> 1111111), so it's not a great problem...
> 
> Testcase #2 is now obsolete, since it's not high enough.
> 
> Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9pre) Gecko/2008060906
> Minefield/3.0pre
> 

Confirmed.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9pre) Gecko/2008061505 Minefield/3.0pre
Comment 78 Brian Polidoro 2008-06-19 06:29:55 PDT
*** Bug 440300 has been marked as a duplicate of this bug. ***
Comment 79 Mats Palmgren (:mats) 2008-06-23 02:51:25 PDT
*** Bug 441251 has been marked as a duplicate of this bug. ***
Comment 80 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2008-06-24 17:53:09 PDT
*** Bug 441539 has been marked as a duplicate of this bug. ***
Comment 81 Zeno-McDohl 2008-07-05 11:34:08 PDT
Real world case:
http://www.mudbytes.net/index.php?a=files&s=displayfile&fid=943&d=smaug1.8/src/&f=smaug1.8/src/comm.c

Still happens in Fx3.
Comment 82 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2008-07-06 17:38:49 PDT
*** Bug 443743 has been marked as a duplicate of this bug. ***
Comment 83 Chris Tyler 2008-07-07 09:05:48 PDT
The Smooth Scroll option has an effect here -- toggling it off seems to resolve artifact issues (tested against http://planet.fedoraproject.org/ which is usually a very long page).
Comment 84 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2008-07-07 09:27:46 PDT
Would it be possible to secretly make those elements be overflow: visible when those overflow:auto/scroll divs exceed the 16-bit coordinate?
Comment 85 Lucas Malor (mail: c6kfnkn2uc AT snkmail DOT c0m) 2008-07-07 10:59:23 PDT
I don't think it's a good idea. See this for example (derived from testcase 3):
http://pazziaumana.netsons.org/example.html
If you turn overflow to visible, this example can't be scrolled.

A mad idea: can't the value type be changed to unsigned long int only when Firefox really need it, instead of change the default type for all height values?
Comment 86 Cheba 2008-07-15 07:41:29 PDT
(In reply to comment #83)
> The Smooth Scroll option has an effect here -- toggling it off seems to resolve
> artifact issues (tested against http://planet.fedoraproject.org/ which is
> usually a very long page).
> 

I can reproduce this bug with Smooth Scroll option turned off in ff 3.1 nightly on the example provided by Lucas Malor.
Comment 87 henryfhchan 2008-07-17 04:51:41 PDT
with attachment https://bugzilla.mozilla.org/attachment.cgi?id=284669#body ,
i get the box staying right as if the separator was only 0px high after setting the separator larger than 17895697px.

with testcase https://bugzilla.mozilla.org/attachment.cgi?id=249560, I get 1725 half cut off.  When I attempt to select the numbers and drag over the cut off part, the page 'jump' to the top.  However, if I drag from where it was cut off (in a blank space) and end my drag at 1724 or lower, and press CTRL+C,  I get all the numbers!

With other testcases other than the first two, I get a big black box instead of something white, and letters are cut much earlier, around 1600.
Comment 88 henryfhchan 2008-07-17 05:03:39 PDT
Oh, and, shrinking the page zoom feature twice, makes http://planet.fedoraproject.org/ show properly.

Shrinking fonts once also corrects it.

If I don't do anything, and I scroll super quick down the end with scrollwheel or dragging the knob, I see an extra right pointing scrollbar arrow at the bottom of the page, exactly next to the down scrollbar arrow, and it's clickable!  Clicking on it draws two horizontal black lines that run from the left of the window and right of the window: one on the top of the button and one under it.

That shows it's much more complicated.
Comment 89 James Napolitano 2008-07-17 17:34:46 PDT
Please, no more testcases, confirmations, or advocacy. This bug has already been confirmed and is on the developers' radars; they know what the underlying problem is and how best to fix it. Unfortunately no fix can be made for any Firefox 3.0.x release. Any further comments that do not contribute to a fix simply pile up in developers' inboxes (affectionately called "bug spam"), distracting them from their work and often leading them to just unsubscribe from the bug's CC list.
Comment 90 Daniel.S 2008-07-18 12:06:13 PDT
*** Bug 440879 has been marked as a duplicate of this bug. ***
Comment 91 Daniel.S 2008-07-18 14:02:45 PDT
*** Bug 353314 has been marked as a duplicate of this bug. ***
Comment 92 Daniel.S 2008-07-18 14:07:19 PDT
*** Bug 366290 has been marked as a duplicate of this bug. ***
Comment 93 Daniel.S 2008-07-19 02:31:33 PDT
*** Bug 291359 has been marked as a duplicate of this bug. ***
Comment 94 Lucas Malor (mail: c6kfnkn2uc AT snkmail DOT c0m) 2008-07-19 03:08:17 PDT
I change the title a bit, hoping duplicates will be fewer.

I add the request for 3.1 blocking, too much reports and troubles with this bug. A patch before Bug 374980 landing seems to me highly desirable.
Comment 95 Daniel.S 2008-07-26 03:48:55 PDT
*** Bug 429134 has been marked as a duplicate of this bug. ***
Comment 96 Daniel Thaler 2008-07-28 10:13:36 PDT
*** Bug 447802 has been marked as a duplicate of this bug. ***
Comment 97 Brian Polidoro 2008-08-05 07:57:10 PDT
*** Bug 449020 has been marked as a duplicate of this bug. ***
Comment 98 Daniel.S 2008-08-11 12:32:26 PDT
*** Bug 434024 has been marked as a duplicate of this bug. ***
Comment 99 Daniel.S 2008-08-17 11:04:06 PDT
*** Bug 390952 has been marked as a duplicate of this bug. ***
Comment 100 Daniel.S 2008-08-17 11:09:59 PDT
*** Bug 448511 has been marked as a duplicate of this bug. ***
Comment 101 Daniel.S 2008-08-17 11:49:49 PDT
*** Bug 410871 has been marked as a duplicate of this bug. ***
Comment 102 Arpad Borsos [:Swatinem] 2008-08-18 05:37:54 PDT
*** Bug 403759 has been marked as a duplicate of this bug. ***
Comment 103 Arpad Borsos [:Swatinem] 2008-08-18 05:46:35 PDT
*** Bug 451033 has been marked as a duplicate of this bug. ***
Comment 104 Brian Polidoro 2008-08-30 18:41:12 PDT
*** Bug 452946 has been marked as a duplicate of this bug. ***
Comment 105 Vladimir Vukicevic [:vlad] [:vladv] 2008-09-10 17:33:27 PDT
*** Bug 448333 has been marked as a duplicate of this bug. ***
Comment 106 Brian Polidoro 2008-09-15 06:19:57 PDT
*** Bug 455297 has been marked as a duplicate of this bug. ***
Comment 107 j.j. 2008-10-12 05:31:04 PDT
*** Bug 459555 has been marked as a duplicate of this bug. ***
Comment 108 Mats Palmgren (:mats) 2008-10-18 09:26:34 PDT
*** Bug 460565 has been marked as a duplicate of this bug. ***
Comment 109 Daniel.S 2008-10-25 07:52:12 PDT
*** Bug 459602 has been marked as a duplicate of this bug. ***
Comment 110 Brian Polidoro 2008-11-12 09:51:13 PST
*** Bug 464473 has been marked as a duplicate of this bug. ***
Comment 111 Ria Klaassen (not reading all bugmail) 2008-11-24 03:09:40 PST
*** Bug 466437 has been marked as a duplicate of this bug. ***
Comment 112 Brian Polidoro 2008-11-25 09:05:12 PST
*** Bug 466651 has been marked as a duplicate of this bug. ***
Comment 113 Daniel.S 2008-12-06 04:51:13 PST
*** Bug 467604 has been marked as a duplicate of this bug. ***
Comment 114 Daniel.S 2008-12-06 06:33:01 PST
*** Bug 361815 has been marked as a duplicate of this bug. ***
Comment 115 Daniel.S 2008-12-21 10:15:13 PST
*** Bug 278442 has been marked as a duplicate of this bug. ***
Comment 116 Daniel.S 2008-12-27 08:59:12 PST
*** Bug 424194 has been marked as a duplicate of this bug. ***
Comment 117 Daniel.S 2008-12-28 09:35:41 PST
*** Bug 242582 has been marked as a duplicate of this bug. ***
Comment 118 Daniel.S 2008-12-28 10:04:10 PST
*** Bug 469312 has been marked as a duplicate of this bug. ***
Comment 119 IU 2009-01-06 10:26:40 PST
I this bug the same thing affecting this page?: http://blogs.orlandosentinel.com/features_orlando/2007/10/new-chef-at-jik.html

Click on the image of the woman and notice it doesn't show the full length.  Compare with IE which does.
Comment 120 Daniel.S 2009-01-16 12:34:49 PST
*** Bug 471826 has been marked as a duplicate of this bug. ***
Comment 121 Daniel.S 2009-01-17 09:20:32 PST
*** Bug 474126 has been marked as a duplicate of this bug. ***
Comment 122 Nochum Sossonko [:Natch] 2009-01-19 13:38:11 PST
*** Bug 474342 has been marked as a duplicate of this bug. ***
Comment 123 Faisal Abdul Moid 2009-02-04 04:05:04 PST
Created attachment 360485 [details]
Rows of the table gets hidden within the div (overflow!=visible)

Rows of the table gets hidden within the div whose overflow!=visible, this bug is not present in Chrome and IE7 or above
Comment 124 Leandro 2009-02-05 08:50:12 PST
Unbelievable, this bug was reported more than five years ago and has no solution! I suggest mozilla get help with Google Chrome team.
Comment 125 Brian Polidoro 2009-02-05 09:17:18 PST
Are you volunteering to contribute a fix?  If not then your comment is superfluous.
Comment 126 Mark Richards 2009-02-26 12:24:22 PST
*** Bug 480336 has been marked as a duplicate of this bug. ***
Comment 127 Mats Palmgren (:mats) 2009-03-07 18:00:48 PST
*** Bug 482000 has been marked as a duplicate of this bug. ***
Comment 128 Ria Klaassen (not reading all bugmail) 2009-03-11 01:18:25 PDT
*** Bug 482668 has been marked as a duplicate of this bug. ***
Comment 129 Brian Polidoro 2009-04-02 14:02:38 PDT
*** Bug 486557 has been marked as a duplicate of this bug. ***
Comment 130 Daniel.S 2009-04-10 09:24:48 PDT
*** Bug 487798 has been marked as a duplicate of this bug. ***
Comment 131 Daniel.S 2009-04-15 11:04:08 PDT
*** Bug 488532 has been marked as a duplicate of this bug. ***
Comment 132 booc0mtaco 2009-04-17 08:13:54 PDT
(In reply to comment #89)
> Please, no more testcases, confirmations, or advocacy. This bug has already
> been confirmed and is on the developers' radars; they know what the underlying
> problem is and how best to fix it. Unfortunately no fix can be made for any
> Firefox 3.0.x release. Any further comments that do not contribute to a fix
> simply pile up in developers' inboxes (affectionately called "bug spam"),
> distracting them from their work and often leading them to just unsubscribe
> from the bug's CC list.

Out of curiosity, what prevents a fix to the 3.0.x versions? And, would this be possible to be fixed in a 3.x release if one is planned? I have some naive assumptions in my head, but would sooner ask than assume. If there is a resource which explains how/when changes get put into firefox releases, a link to this might also be of assistance.
Comment 133 Ryan VanderMeulen [:RyanVM] 2009-04-17 08:57:35 PDT
Were it not for all the bugspam hiding the useful information in this bug, the answer to your question would have been easier to find :-(.

Comment #7 and comment #25 answer your question. Native widgets only support 16-bit coordinate space. The solution is to remove the use of them, which requires roc's Compositor, which is a massive code overhaul. The scope of the changes required for the Compositor make it unsuitable for 3.0.x or 3.5.x inclusion. As it stands right now, the Compositor *may* land for Gecko 1.9.2, which will be the basis for whatever version of Firefox comes after 3.5.x, but even that is not guaranteed at this point in time.

If you want to follow the progress on the Compositor, CC yourself to bug 374980. Please refrain from commenting in that bug, though, so it doesn't turn into the tangled mess this bug has become.
Comment 134 Radek 'sysKin' Czyz 2009-04-17 09:35:34 PDT
The only information effectively missing from this bug is why most of the symptoms are a regression from Mozilla 1.8. This bug was almost silent until Firefox 3 because it was relatively hard to find examples of it before 1.9.

Most of the dups are for the regression from Firefox 2, not for underlying problem.

It's something I don't know myself either - is it because the 16-bit coordinates now store units smaller than pixels, or something like that?
Comment 135 Radek 'sysKin' Czyz 2009-04-17 09:45:58 PDT
Uh, my previous comment was wrong (I was so sure!). I am very very sorry for the bugspam which I just added :((
Comment 136 Brian Polidoro 2009-04-20 08:06:07 PDT
*** Bug 489105 has been marked as a duplicate of this bug. ***
Comment 137 Brian Polidoro 2009-04-30 08:35:16 PDT
*** Bug 490693 has been marked as a duplicate of this bug. ***
Comment 138 Daniel.S 2009-05-01 13:49:14 PDT
*** Bug 396382 has been marked as a duplicate of this bug. ***
Comment 139 Daniel.S 2009-05-03 04:33:14 PDT
*** Bug 459584 has been marked as a duplicate of this bug. ***
Comment 140 Brian Polidoro 2009-06-16 06:27:35 PDT
*** Bug 498605 has been marked as a duplicate of this bug. ***
Comment 141 cyril.masset 2009-06-16 06:42:40 PDT
Created attachment 383461 [details]
A test case of my problem

Unzip it and open the "resultats.htm" file. Scroll down and see what's happening !!
Comment 142 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-07-09 10:32:18 PDT
*** Bug 503337 has been marked as a duplicate of this bug. ***
Comment 143 Sander 2009-07-23 16:16:21 PDT
This was fixed by bug 352093.
Comment 144 Syophone 2009-07-28 17:11:06 PDT
Is this fix included in 3.6.2pre?
It seems that some page could not show well without overflow=visible

http://www.hkepc.com/forum/viewthread.php?tid=1209429
Comment 145 Ryan VanderMeulen [:RyanVM] 2009-07-28 17:28:36 PDT
(Assuming you meant 3.5.2pre, not 3.6.2pre) The fix for this bug landed on the trunk for what will become Firefox 3.6. It will not be included in any Firefox 3.5.x version.
Comment 146 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2009-08-05 07:55:26 PDT
*** Bug 221614 has been marked as a duplicate of this bug. ***
Comment 147 Brian Polidoro 2009-08-21 13:36:49 PDT
*** Bug 511913 has been marked as a duplicate of this bug. ***
Comment 148 Ria Klaassen (not reading all bugmail) 2009-08-31 01:33:09 PDT
*** Bug 513626 has been marked as a duplicate of this bug. ***
Comment 149 Brian Polidoro 2009-09-14 14:48:58 PDT
*** Bug 516463 has been marked as a duplicate of this bug. ***
Comment 150 Ria Klaassen (not reading all bugmail) 2009-09-21 12:22:06 PDT
*** Bug 517868 has been marked as a duplicate of this bug. ***
Comment 151 Ria Klaassen (not reading all bugmail) 2009-09-22 12:20:04 PDT
*** Bug 518093 has been marked as a duplicate of this bug. ***
Comment 152 Ria Klaassen (not reading all bugmail) 2009-10-25 13:13:48 PDT
*** Bug 524377 has been marked as a duplicate of this bug. ***
Comment 153 Ria Klaassen (not reading all bugmail) 2009-11-27 15:21:21 PST
*** Bug 531410 has been marked as a duplicate of this bug. ***
Comment 154 lf.lim1982 2009-12-03 06:23:14 PST
*** Bug 532051 has been marked as a duplicate of this bug. ***
Comment 155 Ria Klaassen (not reading all bugmail) 2010-01-06 02:57:47 PST
*** Bug 538045 has been marked as a duplicate of this bug. ***
Comment 156 Nag 2010-03-07 23:01:31 PST
*** Bug 531271 has been marked as a duplicate of this bug. ***
Comment 158 Mats Palmgren (:mats) 2011-02-05 01:17:48 PST
*** Bug 631753 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.